Page MenuHomePhabricator

Page on aswikisource not accessible via page title, only via "curid"
Closed, ResolvedPublic

Description

We came across the diff https://as.wikisource.org/w/index.php?diff=6546, but when clicking on the page title it redirects you to a deleted page. The article from the diff still exists, though, and can only be accessed via the "curid": https://as.wikisource.org/w/index.php?curid=30 It's strange that you can't access it via the page title...

No idea what causes it (namespace, different language?), but please fix it if you can. :-)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2016, 8:26 PM

This bug is strange, I checked out the labs replica:

MariaDB [aswikisource_p]> SELECT page_id, page_title
    -> FROM page
    -> WHERE page_id = 30;
+---------+-----------------------------------------------------------------+
| page_id | page_title                                                      |
+---------+-----------------------------------------------------------------+
|      30 | লিখক:বিষ্ণু_প্ৰসাদ_ৰাভা                                         |
+---------+-----------------------------------------------------------------+
1 row in set (0.00 sec)

The page_title fits to the id, but you can find the page by using the id, not by using the title.

MariaDB [aswikisource_p]> SELECT rev_id, rev_deleted FROM revision WHERE rev_page = 30;
+--------+-------------+
| rev_id | rev_deleted |
+--------+-------------+
|     89 |           0 |
|     90 |           0 |
|     91 |           0 |
|     92 |           0 |
|     93 |           0 |
|     94 |           0 |
|     95 |           0 |
|     96 |           0 |
|     97 |           0 |
|     98 |           0 |
|     99 |           0 |
|    100 |           0 |
|    101 |           0 |
|    102 |           0 |
|   3340 |           0 |
|   6546 |           0 |
+--------+-------------+
16 rows in set (0.00 sec)
PiRSquared17 added a subscriber: PiRSquared17.
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.

https://as.wikisource.org/w/api.php?action=query&prop=info&pageids=30 displays:

{
    "batchcomplete": "",
    "query": {
        "pages": {
            "30": {
                "pageid": 30,
                "ns": 0,
                "title": "\u09b2\u09bf\u0996\u0995:\u09ac\u09bf\u09b7\u09cd\u09a3\u09c1 \u09aa\u09cd\u09f0\u09b8\u09be\u09a6 \u09f0\u09be\u09ad\u09be",
                "contentmodel": "wikitext",
                "pagelanguage": "as",
                "pagelanguagehtmlcode": "as",
                "pagelanguagedir": "ltr",
                "touched": "2014-09-03T18:55:08Z",
                "lastrevid": 6546,
                "length": 4507
            }
        }
    }
}

I notice the title has a colon. It says it's on namespace 0. But the text before a colon is a namespace alias:

https://as.wikisource.org/w/api.php?action=query&meta=siteinfo&siprop=namespaces|namespacealiases

{
    "id": 102,
    "*": "\u09b2\u09bf\u0996\u0995"
},

So basically, an alias was created for a namespace, but there were pages already on that "fake" namespace before, so they're now not accessible.

Maybe someone needs to run namespaceDupes.php

Reedy added a subscriber: Reedy.EditedApr 24 2016, 8:46 PM
reedy@tin:~$ mwscript namespaceDupes.php aswikisource
id=869 ns=0 dbk=Author:গণেশ_গগৈ *** dest title exists and --add-prefix not specified
id=835 ns=0 dbk=Author:জ্যোতিপ্ৰসাদ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=1418 ns=0 dbk=Author:পদ্মনাথ_গোহাঞিবৰুৱা *** dest title exists and --add-prefix not specified
id=865 ns=0 dbk=Author:মাধৱ_কন্দলী *** dest title exists and --add-prefix not specified
id=868 ns=0 dbk=Author:লক্ষ্মীনাথ_বেজবৰুৱা *** dest title exists and --add-prefix not specified
id=863 ns=0 dbk=Author:শ্ৰীমন্ত_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=799 ns=0 dbk=Author:শ্ৰীমন্ত_শংকৰদেৱ *** dest title exists and --add-prefix not specified
id=866 ns=0 dbk=Author:হেমচন্দ্ৰ_বৰুৱা *** dest title exists and --add-prefix not specified
id=867 ns=0 dbk=Author:ৰজনীকান্ত_বৰদলৈ *** dest title exists and --add-prefix not specified
id=2058 ns=0 dbk=লিখক:অনন্ত_কন্দলী *** dest title exists and --add-prefix not specified
id=2057 ns=0 dbk=লিখক:আনন্দ_চন্দ্ৰ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=2054 ns=0 dbk=লিখক:গণেশ_গগৈ *** dest title exists and --add-prefix not specified
id=2061 ns=0 dbk=লিখক:জ্যোতিপ্ৰসাদ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=1417 ns=0 dbk=লিখক:পদ্মনাথ_গোহাঞিবৰুৱা *** dest title exists and --add-prefix not specified
id=30 ns=0 dbk=লিখক:বিষ্ণু_প্ৰসাদ_ৰাভা -> লেখক:বিষ্ণু_প্ৰসাদ_ৰাভা (no conflict) DRY RUN ONLY
id=2059 ns=0 dbk=লিখক:মাধৱ_কন্দলী *** dest title exists and --add-prefix not specified
id=2060 ns=0 dbk=লিখক:লক্ষ্মীনাথ_বেজবৰুৱা *** dest title exists and --add-prefix not specified
id=2055 ns=0 dbk=লিখক:শ্ৰীমন্ত_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=2056 ns=0 dbk=লিখক:শ্ৰীমন্ত_শংকৰদেৱ *** dest title exists and --add-prefix not specified
id=2062 ns=0 dbk=লিখক:হেমচন্দ্ৰ_বৰুৱা *** dest title exists and --add-prefix not specified
id=2063 ns=0 dbk=লিখক:ৰজনীকান্ত_বৰদলৈ *** dest title exists and --add-prefix not specified
id=1117 ns=0 dbk=লেখক:অনন্ত_কন্দলী *** dest title exists and --add-prefix not specified
id=902 ns=0 dbk=লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=694 ns=0 dbk=লেখক:গণেশ_গগৈ *** dest title exists and --add-prefix not specified
id=29 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=31 ns=0 dbk=লেখক:মাধৱ_কন্দলী *** dest title exists and --add-prefix not specified
id=32 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা *** dest title exists and --add-prefix not specified
id=2116 ns=0 dbk=লেখক:শ্ৰীমন্ত_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=34 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ *** dest title exists and --add-prefix not specified
id=33 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=2088 ns=0 dbk=লেখক:সত্যনাথ_বৰা *** dest title exists and --add-prefix not specified
id=35 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা *** dest title exists and --add-prefix not specified
id=36 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ *** dest title exists and --add-prefix not specified
33 pages to fix, 1 were resolvable.

pagelinks from=3 ns=0 dbk=Author:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা DRY RUN
pagelinks from=16 ns=0 dbk=Author:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা DRY RUN
pagelinks from=1948 ns=0 dbk=Author:পদ্মনাথ_গোহাঞিবৰুৱা -> লেখক:পদ্মনাথ_গোহাঞিবৰুৱা DRY RUN
pagelinks from=3 ns=0 dbk=Author:বিষ্ণু_প্ৰসাদ_ৰাভা -> লেখক:বিষ্ণু_প্ৰসাদ_ৰাভা DRY RUN
pagelinks from=3 ns=0 dbk=Author:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী DRY RUN
pagelinks from=3 ns=0 dbk=Author:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা DRY RUN
pagelinks from=19 ns=0 dbk=Author:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা DRY RUN
pagelinks from=3 ns=0 dbk=Author:শ্ৰীমন্ত_মাধৱদেৱ -> লেখক:শ্ৰীমন্ত_মাধৱদেৱ DRY RUN
pagelinks from=3 ns=0 dbk=Author:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ DRY RUN
pagelinks from=3 ns=0 dbk=Author:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা DRY RUN
pagelinks from=3 ns=0 dbk=Author:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ DRY RUN
pagelinks from=1418 ns=0 dbk=লিখক:পদ্মনাথ_গোহাঞিবৰুৱা -> লেখক:পদ্মনাথ_গোহাঞিবৰুৱা DRY RUN
redirect from=1418 ns=0 dbk=লিখক:পদ্মনাথ_গোহাঞিবৰুৱা -> লেখক:পদ্মনাথ_গোহাঞিবৰুৱা DRY RUN
pagelinks from=2058 ns=0 dbk=লেখক:অনন্ত_কন্দলী -> লেখক:অনন্ত_কন্দলী DRY RUN
pagelinks from=2057 ns=0 dbk=লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা -> লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা DRY RUN
pagelinks from=869 ns=0 dbk=লেখক:গণেশ_গগৈ -> লেখক:গণেশ_গগৈ DRY RUN
pagelinks from=2054 ns=0 dbk=লেখক:গণেশ_গগৈ -> লেখক:গণেশ_গগৈ DRY RUN
pagelinks from=835 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা DRY RUN
pagelinks from=2061 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা DRY RUN
pagelinks from=865 ns=0 dbk=লেখক:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী DRY RUN
pagelinks from=2059 ns=0 dbk=লেখক:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী DRY RUN
pagelinks from=868 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা DRY RUN
pagelinks from=2060 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা DRY RUN
pagelinks from=798 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ DRY RUN
pagelinks from=799 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ DRY RUN
pagelinks from=2056 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ DRY RUN
pagelinks from=863 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ DRY RUN
pagelinks from=2055 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ DRY RUN
pagelinks from=2116 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ DRY RUN
pagelinks from=866 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা DRY RUN
pagelinks from=2062 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা DRY RUN
pagelinks from=867 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ DRY RUN
pagelinks from=2063 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ DRY RUN
redirect from=2058 ns=0 dbk=লেখক:অনন্ত_কন্দলী -> লেখক:অনন্ত_কন্দলী DRY RUN
redirect from=2057 ns=0 dbk=লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা -> লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা DRY RUN
redirect from=869 ns=0 dbk=লেখক:গণেশ_গগৈ -> লেখক:গণেশ_গগৈ DRY RUN
redirect from=2054 ns=0 dbk=লেখক:গণেশ_গগৈ -> লেখক:গণেশ_গগৈ DRY RUN
redirect from=835 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা DRY RUN
redirect from=2061 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা DRY RUN
redirect from=865 ns=0 dbk=লেখক:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী DRY RUN
redirect from=2059 ns=0 dbk=লেখক:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী DRY RUN
redirect from=868 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা DRY RUN
redirect from=2060 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা DRY RUN
redirect from=798 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ DRY RUN
redirect from=799 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ DRY RUN
redirect from=2056 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ DRY RUN
redirect from=863 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ DRY RUN
redirect from=2055 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ DRY RUN
redirect from=2116 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ DRY RUN
redirect from=866 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা DRY RUN
redirect from=2062 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা DRY RUN
redirect from=867 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ DRY RUN
redirect from=2063 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ DRY RUN
53 links to fix, 53 were resolvable.

Oh noeees
reedy@tin:~$ mwscript namespaceDupes.php aswikisource --fix
id=869 ns=0 dbk=Author:গণেশ_গগৈ *** dest title exists and --add-prefix not specified
id=835 ns=0 dbk=Author:জ্যোতিপ্ৰসাদ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=1418 ns=0 dbk=Author:পদ্মনাথ_গোহাঞিবৰুৱা *** dest title exists and --add-prefix not specified
id=865 ns=0 dbk=Author:মাধৱ_কন্দলী *** dest title exists and --add-prefix not specified
id=868 ns=0 dbk=Author:লক্ষ্মীনাথ_বেজবৰুৱা *** dest title exists and --add-prefix not specified
id=863 ns=0 dbk=Author:শ্ৰীমন্ত_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=799 ns=0 dbk=Author:শ্ৰীমন্ত_শংকৰদেৱ *** dest title exists and --add-prefix not specified
id=866 ns=0 dbk=Author:হেমচন্দ্ৰ_বৰুৱা *** dest title exists and --add-prefix not specified
id=867 ns=0 dbk=Author:ৰজনীকান্ত_বৰদলৈ *** dest title exists and --add-prefix not specified
id=2058 ns=0 dbk=লিখক:অনন্ত_কন্দলী *** dest title exists and --add-prefix not specified
id=2057 ns=0 dbk=লিখক:আনন্দ_চন্দ্ৰ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=2054 ns=0 dbk=লিখক:গণেশ_গগৈ *** dest title exists and --add-prefix not specified
id=2061 ns=0 dbk=লিখক:জ্যোতিপ্ৰসাদ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=1417 ns=0 dbk=লিখক:পদ্মনাথ_গোহাঞিবৰুৱা *** dest title exists and --add-prefix not specified
id=30 ns=0 dbk=লিখক:বিষ্ণু_প্ৰসাদ_ৰাভা -> লেখক:বিষ্ণু_প্ৰসাদ_ৰাভা (no conflict)
id=2059 ns=0 dbk=লিখক:মাধৱ_কন্দলী *** dest title exists and --add-prefix not specified
id=2060 ns=0 dbk=লিখক:লক্ষ্মীনাথ_বেজবৰুৱা *** dest title exists and --add-prefix not specified
id=2055 ns=0 dbk=লিখক:শ্ৰীমন্ত_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=2056 ns=0 dbk=লিখক:শ্ৰীমন্ত_শংকৰদেৱ *** dest title exists and --add-prefix not specified
id=2062 ns=0 dbk=লিখক:হেমচন্দ্ৰ_বৰুৱা *** dest title exists and --add-prefix not specified
id=2063 ns=0 dbk=লিখক:ৰজনীকান্ত_বৰদলৈ *** dest title exists and --add-prefix not specified
id=1117 ns=0 dbk=লেখক:অনন্ত_কন্দলী *** dest title exists and --add-prefix not specified
id=902 ns=0 dbk=লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=694 ns=0 dbk=লেখক:গণেশ_গগৈ *** dest title exists and --add-prefix not specified
id=29 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=31 ns=0 dbk=লেখক:মাধৱ_কন্দলী *** dest title exists and --add-prefix not specified
id=32 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা *** dest title exists and --add-prefix not specified
id=2116 ns=0 dbk=লেখক:শ্ৰীমন্ত_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=34 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ *** dest title exists and --add-prefix not specified
id=33 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=2088 ns=0 dbk=লেখক:সত্যনাথ_বৰা *** dest title exists and --add-prefix not specified
id=35 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা *** dest title exists and --add-prefix not specified
id=36 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ *** dest title exists and --add-prefix not specified
33 pages to fix, 1 were resolvable.

pagelinks from=3 ns=0 dbk=Author:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা
pagelinks from=16 ns=0 dbk=Author:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা
pagelinks from=1948 ns=0 dbk=Author:পদ্মনাথ_গোহাঞিবৰুৱা -> লেখক:পদ্মনাথ_গোহাঞিবৰুৱা
pagelinks from=3 ns=0 dbk=Author:বিষ্ণু_প্ৰসাদ_ৰাভা -> লেখক:বিষ্ণু_প্ৰসাদ_ৰাভা
pagelinks from=3 ns=0 dbk=Author:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী
pagelinks from=3 ns=0 dbk=Author:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা
pagelinks from=19 ns=0 dbk=Author:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা
pagelinks from=3 ns=0 dbk=Author:শ্ৰীমন্ত_মাধৱদেৱ -> লেখক:শ্ৰীমন্ত_মাধৱদেৱ
pagelinks from=3 ns=0 dbk=Author:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ
pagelinks from=3 ns=0 dbk=Author:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা
pagelinks from=3 ns=0 dbk=Author:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ
pagelinks from=1418 ns=0 dbk=লিখক:পদ্মনাথ_গোহাঞিবৰুৱা -> লেখক:পদ্মনাথ_গোহাঞিবৰুৱা
redirect from=1418 ns=0 dbk=লিখক:পদ্মনাথ_গোহাঞিবৰুৱা -> লেখক:পদ্মনাথ_গোহাঞিবৰুৱা
pagelinks from=2058 ns=0 dbk=লেখক:অনন্ত_কন্দলী -> লেখক:অনন্ত_কন্দলী
pagelinks from=2057 ns=0 dbk=লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা -> লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা
pagelinks from=869 ns=0 dbk=লেখক:গণেশ_গগৈ -> লেখক:গণেশ_গগৈ
pagelinks from=2054 ns=0 dbk=লেখক:গণেশ_গগৈ -> লেখক:গণেশ_গগৈ
pagelinks from=835 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা
pagelinks from=2061 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা
pagelinks from=865 ns=0 dbk=লেখক:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী
pagelinks from=2059 ns=0 dbk=লেখক:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী
pagelinks from=868 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা
pagelinks from=2060 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা
pagelinks from=798 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ
pagelinks from=799 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ
pagelinks from=2056 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ
pagelinks from=863 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ
pagelinks from=2055 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ
pagelinks from=2116 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ
pagelinks from=866 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা
pagelinks from=2062 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা
pagelinks from=867 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ
pagelinks from=2063 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ
redirect from=2058 ns=0 dbk=লেখক:অনন্ত_কন্দলী -> লেখক:অনন্ত_কন্দলী
redirect from=2057 ns=0 dbk=লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা -> লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা
redirect from=869 ns=0 dbk=লেখক:গণেশ_গগৈ -> লেখক:গণেশ_গগৈ
redirect from=2054 ns=0 dbk=লেখক:গণেশ_গগৈ -> লেখক:গণেশ_গগৈ
redirect from=835 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা
redirect from=2061 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা -> লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা
redirect from=865 ns=0 dbk=লেখক:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী
redirect from=2059 ns=0 dbk=লেখক:মাধৱ_কন্দলী -> লেখক:মাধৱ_কন্দলী
redirect from=868 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা
redirect from=2060 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা -> লেখক:লক্ষ্মীনাথ_বেজবৰুৱা
redirect from=798 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ
redirect from=799 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ
redirect from=2056 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ -> লেখক:শ্ৰীমন্ত_শংকৰদেৱ
redirect from=863 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ
redirect from=2055 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ
redirect from=2116 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ -> লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ
redirect from=866 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা
redirect from=2062 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা -> লেখক:হেমচন্দ্ৰ_বৰুৱা
redirect from=867 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ
redirect from=2063 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ -> লেখক:ৰজনীকান্ত_বৰদলৈ
53 links to fix, 53 were resolvable.

Oh noeees
reedy@tin:~$ mwscript namespaceDupes.php aswikisource
id=869 ns=0 dbk=Author:গণেশ_গগৈ *** dest title exists and --add-prefix not specified
id=835 ns=0 dbk=Author:জ্যোতিপ্ৰসাদ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=1418 ns=0 dbk=Author:পদ্মনাথ_গোহাঞিবৰুৱা *** dest title exists and --add-prefix not specified
id=865 ns=0 dbk=Author:মাধৱ_কন্দলী *** dest title exists and --add-prefix not specified
id=868 ns=0 dbk=Author:লক্ষ্মীনাথ_বেজবৰুৱা *** dest title exists and --add-prefix not specified
id=863 ns=0 dbk=Author:শ্ৰীমন্ত_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=799 ns=0 dbk=Author:শ্ৰীমন্ত_শংকৰদেৱ *** dest title exists and --add-prefix not specified
id=866 ns=0 dbk=Author:হেমচন্দ্ৰ_বৰুৱা *** dest title exists and --add-prefix not specified
id=867 ns=0 dbk=Author:ৰজনীকান্ত_বৰদলৈ *** dest title exists and --add-prefix not specified
id=2058 ns=0 dbk=লিখক:অনন্ত_কন্দলী *** dest title exists and --add-prefix not specified
id=2057 ns=0 dbk=লিখক:আনন্দ_চন্দ্ৰ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=2054 ns=0 dbk=লিখক:গণেশ_গগৈ *** dest title exists and --add-prefix not specified
id=2061 ns=0 dbk=লিখক:জ্যোতিপ্ৰসাদ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=1417 ns=0 dbk=লিখক:পদ্মনাথ_গোহাঞিবৰুৱা *** dest title exists and --add-prefix not specified
id=2059 ns=0 dbk=লিখক:মাধৱ_কন্দলী *** dest title exists and --add-prefix not specified
id=2060 ns=0 dbk=লিখক:লক্ষ্মীনাথ_বেজবৰুৱা *** dest title exists and --add-prefix not specified
id=2055 ns=0 dbk=লিখক:শ্ৰীমন্ত_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=2056 ns=0 dbk=লিখক:শ্ৰীমন্ত_শংকৰদেৱ *** dest title exists and --add-prefix not specified
id=2062 ns=0 dbk=লিখক:হেমচন্দ্ৰ_বৰুৱা *** dest title exists and --add-prefix not specified
id=2063 ns=0 dbk=লিখক:ৰজনীকান্ত_বৰদলৈ *** dest title exists and --add-prefix not specified
id=1117 ns=0 dbk=লেখক:অনন্ত_কন্দলী *** dest title exists and --add-prefix not specified
id=902 ns=0 dbk=লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=694 ns=0 dbk=লেখক:গণেশ_গগৈ *** dest title exists and --add-prefix not specified
id=29 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা *** dest title exists and --add-prefix not specified
id=31 ns=0 dbk=লেখক:মাধৱ_কন্দলী *** dest title exists and --add-prefix not specified
id=32 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা *** dest title exists and --add-prefix not specified
id=2116 ns=0 dbk=লেখক:শ্ৰীমন্ত_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=34 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ *** dest title exists and --add-prefix not specified
id=33 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ *** dest title exists and --add-prefix not specified
id=2088 ns=0 dbk=লেখক:সত্যনাথ_বৰা *** dest title exists and --add-prefix not specified
id=35 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা *** dest title exists and --add-prefix not specified
id=36 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ *** dest title exists and --add-prefix not specified
32 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Oh noeees
reedy@tin:~$
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptApr 24 2016, 8:46 PM
Reedy added a comment.Apr 24 2016, 8:47 PM

Need a prefix to move the remaining pages to...

Actually, we now have three possibilities:

--mergeInstead of renaming conflicts, do a history merge with the correct title (in case a page with the valid title already exists).
--add-suffix=<text>Dupes will be renamed with correct namespace with <text> appended after the article name
--add-prefix=<text>Dupes will be renamed with correct namespace with <text> prepended before the article name

The documentation seems to state --merge should be preferred while --add-suffix and --add-prefix should be used when the merge operation isn't possible. Yet, this is a little scary to merge history of pages with unknown content.

@Ciencia_Al_Poder what method has your favor and if applicable what do you want as prefix/suffix?

So, in this case, all is merge-able, and the page currently live on the site is always the newest revision:

terbium
$ mwscript namespaceDupes.php aswikisource --merge
d=869 ns=0 dbk=Author:গণেশ_গগৈ =>=লেখক:গণেশ_গগৈ (merge) DRY RUN ONLY
id=835 ns=0 dbk=Author:জযোতিপৰসাদ_আগৰৱাৱালা => লেখক:জনযোতিপ_ৰসাদ_আগৰৱালা (mY rge) DLY RU  ONLY
id=1418 ns=0 dbk=Author:পদমনতাথাগোহাঞিবৰৱা => লেখক:পদমামনাথ_গোহাঞিবৰৱা (merge) DRY RUN ONLY
id=865 ns=0 dbk=Author:মাধৱ_কনদলী => লেখক:মাধৱ_কনমদলী (merge) DRY RUN ONLRUN
id=868 ns=0 dbk=Author:লকষমীনাথ_বেজবৰৱা => লেখক:লকষমীনাথ_বেজবৰৱা DRY RU(merge) DRY RUN ONLY
id=863 ns=0 dbk=Author:শৰনীমনত_মাধৱদেৱ => লেখক:শৰীমানত_াত_মাধৱদেৱ (m rge) DNY RUY ONLY
id=799 ns=0 dbk=Author:শৰীমনত_শংকৰদেৱ => লেখক:শৰীমনত_শংকৰদেৱ (merge) DRY     RUN ONLY
id=866 ns=0 dbk=Author:হেমচনদদৰৰ_বৰৱা => লেখক:হেমচনদ_চনৰৰবৰনৰৱৱা (merge) DRY RUN ONLY
id=867 ns=0 dbk=Author:ৰজনীকানত_বৰদলৈ => লেখক:ৰজনীকানত_বৰদলৈ (merge) DRY RUN ONLY
id=2058 ns=0 dbk=লিখক:অননতি_কনদলী => লেখক:অননত_ক:জন:জদলী (merge) DRY RUN ONLY
id=2057 ns=0 dbk=লিখক:আননদ_চনদৰ_আগিবৰৱৱালা => লেখক:আননদ_চনদোৰ_আগৰৱালা (mrgeYrge) DRY RUN ONLY
id=2054 ns=0 dbk=লিখক:গণেশ_গগৈ =>=লেখক:গণেশ_গগৈ (merge) DRY RUN ONLY
id=2061 ns=0 dbk=লিখক:জযোতিপৰসাদ_আগৰৱাৱালা => লেখক:জনযোতিপ_ৰসাদ_আগৰৱালা (mY rge) DLY RU  ONLY
id=1417 ns=0 dbk=লিখক:পদমনাথ_গোহাঞিবৰৱা লে=> লেখক:পদমনাথ_গোহাঞিবৰৱা (merge) DRY RUN ONLY
id=2059 ns=0 dbk=লিখক:মাধৱ_কনদলী => লেখক:মাধৱ_কনমদলী (merge) DRY RUN ONLRUN
id=2060 ns=0 dbk=লিখক:লকষমীনাথ_বেজবৰৱা => লেখক:লকষমীনাথ_বেজবৰৱা DRY RU(merge) DRY RUN ONLY
id=2055 ns=0 dbk=লিখক:শৰনীমনত_মাধৱদেৱ => লেখক:শৰীমানত_াত_মাধৱদেৱ (m rge) DNY RUY ONLY
id=2056 ns=0 dbk=লিখক:শৰীমনত_শংকৰদেৱ => লেখক:শৰীমনত_শেৱ (merge) RUN DRYYRUN ONLY
id=2062 ns=0 dbk=লিখক:হেমচনদদৰৰ_বৰৱা => লেখক:হেমচনদ_চনৰৰবৰনৰৱৱা (merge) DRY RUN ONLY
id=2063 ns=0 dbk=লিখক:ৰজনীকানত_বৰদলৈ => লেখক:ৰজনীকানত_বৰদলৈ (merge) DRY RUN ONLY
id=1117 ns=0 dbk=লেখক:অননত_কনসাদলী => লেখক:অননত_কনযদলী (merge) DRY RUN ONLY
id=902 ns=0 dbk=লেখক:আননদ_চনদৰ_আগৰৱালা => লেখক:আননদ_চনদৰ_আগৰৱালা (merge) DRY RUN ONLY
id=694 ns=0 dbk=লেখক:গণেশ_গগৈ => লেখক:গণেশ_গগৈ (merge) DRY RUN ONLY
id=29 ns=0 dbk=লেখক:জযোতিপৰসাদ_আগৰৱালা => লেখক:জযোতিপৰসাদেৱ (_আগৰৱালা (merge) DRY RUN ONLY
id=31 ns=0 dbk=লেখক:মাধৱ_কনদলী => লেখক:মাধৱ_কনমদলী (merge) DRY RUN ONLRUN
id=32 ns=0 dbk=লেখক:লকষমীনাথ_বেজবৰৱা> লে=> লেখক:লকমষমীনাথ_বেজবৰৱা (merge) DRY RUN ONLY
id=2116 ns=0 dbk=লেখক:শৰীমনত_মৰা ধৱদেৱ => লেখক:শৰীমনত_মাধৱদেৱ (merge) DRY RUN ONLY
id=34 ns=0 dbk=লেখক:শৰীমনত_শংকৰদেৱ => লেখক:শৰীমন_বৰৱ_ত_শংকৰদেৱ (m rge) DLY RU  ONLY
id=33 ns=0 dbk=লেখক:শৰনীশৰী_মাধৱদেৱ => লেখক:শৰীশকৰী_মাধৱদেৱ (mge) rge) DNY RUY ONLY
id=2088 ns=0 dbk=লেখক:সতযনাথ_বৰা => লেখক:সতযনাথ_বৰা (merge) DRY RUN ONLY
id=35 ns=0 dbk=লেখক:হেমচনদৰ_বৰৱা => লেখক:হেমচনদৰ (merge) DRY RUN ONLY
id=36 ns=0 dbk=লেখক:ৰজনীকানত_বৰদলৈ => লেখক:ৰজনীকানত_বৰদলৈ (merge) DRY RUN ONLY
32 pages to fix, 32 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!

I do not contribute to aswikisource, but a merge history looks good, otherwise a manual merge would need to be done anyway so contributions aren't lost.

Dereckson triaged this task as High priority.

Okay, let's try that.

Terbium
$ mwscript namespaceDupes.php aswikisource --merge --fix
id=869 ns=0 dbk=Author:গণেশ_গগৈ => লেখক:গণেশ_গগৈ (merge)
id=835 ns=0 dbk=Author:জ্যোতিপ্ৰসাদ_আগৰৱালা => লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা (merge)
id=1418 ns=0 dbk=Author:পদ্মনাথ_গোহাঞিবৰুৱা => লেখক:পদ্মনাথ_গোহাঞিবৰুৱা (merge)
id=865 ns=0 dbk=Author:মাধৱ_কন্দলী => লেখক:মাধৱ_কন্দলী (merge)
id=868 ns=0 dbk=Author:লক্ষ্মীনাথ_বেজবৰুৱা => লেখক:লক্ষ্মীনাথ_বেজবৰুৱা (merge)
id=863 ns=0 dbk=Author:শ্ৰীমন্ত_মাধৱদেৱ => লেখক:শ্ৰীমন্ত_মাধৱদেৱ (merge)
id=799 ns=0 dbk=Author:শ্ৰীমন্ত_শংকৰদেৱ => লেখক:শ্ৰীমন্ত_শংকৰদেৱ (merge)
id=866 ns=0 dbk=Author:হেমচন্দ্ৰ_বৰুৱা => লেখক:হেমচন্দ্ৰ_বৰুৱা (merge)
id=867 ns=0 dbk=Author:ৰজনীকান্ত_বৰদলৈ => লেখক:ৰজনীকান্ত_বৰদলৈ (merge)
id=2058 ns=0 dbk=লিখক:অনন্ত_কন্দলী => লেখক:অনন্ত_কন্দলী (merge)
id=2057 ns=0 dbk=লিখক:আনন্দ_চন্দ্ৰ_আগৰৱালা => লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা (merge)
id=2054 ns=0 dbk=লিখক:গণেশ_গগৈ => লেখক:গণেশ_গগৈ (merge)
id=2061 ns=0 dbk=লিখক:জ্যোতিপ্ৰসাদ_আগৰৱালা => লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা (merge)
id=1417 ns=0 dbk=লিখক:পদ্মনাথ_গোহাঞিবৰুৱা => লেখক:পদ্মনাথ_গোহাঞিবৰুৱা (merge)
id=2059 ns=0 dbk=লিখক:মাধৱ_কন্দলী => লেখক:মাধৱ_কন্দলী (merge)
id=2060 ns=0 dbk=লিখক:লক্ষ্মীনাথ_বেজবৰুৱা => লেখক:লক্ষ্মীনাথ_বেজবৰুৱা (merge)
id=2055 ns=0 dbk=লিখক:শ্ৰীমন্ত_মাধৱদেৱ => লেখক:শ্ৰীমন্ত_মাধৱদেৱ (merge)
id=2056 ns=0 dbk=লিখক:শ্ৰীমন্ত_শংকৰদেৱ => লেখক:শ্ৰীমন্ত_শংকৰদেৱ (merge)
id=2062 ns=0 dbk=লিখক:হেমচন্দ্ৰ_বৰুৱা => লেখক:হেমচন্দ্ৰ_বৰুৱা (merge)
id=2063 ns=0 dbk=লিখক:ৰজনীকান্ত_বৰদলৈ => লেখক:ৰজনীকান্ত_বৰদলৈ (merge)
id=1117 ns=0 dbk=লেখক:অনন্ত_কন্দলী => লেখক:অনন্ত_কন্দলী (merge)
id=902 ns=0 dbk=লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা => লেখক:আনন্দ_চন্দ্ৰ_আগৰৱালা (merge)
id=694 ns=0 dbk=লেখক:গণেশ_গগৈ => লেখক:গণেশ_গগৈ (merge)
id=29 ns=0 dbk=লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা => লেখক:জ্যোতিপ্ৰসাদ_আগৰৱালা (merge)
id=31 ns=0 dbk=লেখক:মাধৱ_কন্দলী => লেখক:মাধৱ_কন্দলী (merge)
id=32 ns=0 dbk=লেখক:লক্ষ্মীনাথ_বেজবৰুৱা => লেখক:লক্ষ্মীনাথ_বেজবৰুৱা (merge)
id=2116 ns=0 dbk=লেখক:শ্ৰীমন্ত_মাধৱদেৱ => লেখক:শ্ৰীমন্ত_মাধৱদেৱ (merge)
id=34 ns=0 dbk=লেখক:শ্ৰীমন্ত_শংকৰদেৱ => লেখক:শ্ৰীমন্ত_শংকৰদেৱ (merge)
id=33 ns=0 dbk=লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ => লেখক:শ্ৰীশ্ৰী_মাধৱদেৱ (merge)
id=2088 ns=0 dbk=লেখক:সত্যনাথ_বৰা => লেখক:সত্যনাথ_বৰা (merge)
id=35 ns=0 dbk=লেখক:হেমচন্দ্ৰ_বৰুৱা => লেখক:হেমচন্দ্ৰ_বৰুৱা (merge)
id=36 ns=0 dbk=লেখক:ৰজনীকান্ত_বৰদলৈ => লেখক:ৰজনীকান্ত_বৰদলৈ (merge)
32 pages to fix, 32 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
$ mwscript namespaceDupes.php aswikisource --merge
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
Dereckson closed this task as Resolved.May 4 2016, 12:23 AM

Mentioned in SAL [2016-05-04T00:23:17Z] <Dereckson> mwscript namespaceDupes.php aswikisource --merge --fix (T133505)